Permalink
Browse files

rpg-package-list now known as rpg-package-index

  • Loading branch information...
1 parent 5606b16 commit 471010e8ef6ea6ff04bc25bf2ecf4f8dacdb0900 @rtomayko committed Mar 17, 2010
Showing with 10 additions and 9 deletions.
  1. +1 −0 .gitignore
  2. +2 −2 Makefile
  3. +1 −1 rpg-complete.sh
  4. +3 −3 rpg-list.sh
  5. +1 −1 rpg-package-list.sh → rpg-package-index.sh
  6. +2 −2 rpg-upgrade.sh
View
1 .gitignore
@@ -55,3 +55,4 @@ rpg-complete
rpg-sync
rpg-help
rpg-package-list
+rpg-package-index
View
4 Makefile
@@ -32,7 +32,7 @@ SOURCES = \
rpg-resolve.sh rpg-upgrade.sh rpg-steal.sh rpg-fsck.sh rpg-outdated.sh \
rpg-package-register.sh rpg-package-install.sh rpg-solve.sh rpg-unpack.sh \
rpg-package-spec.rb rpg-parse-index.rb rpg-shit-list.sh rpg-prepare.sh \
- rpg-help.sh rpg-package-list.sh rpg-list.sh
+ rpg-help.sh rpg-package-index.sh rpg-list.sh
DOCHTML = \
rpg-sh-setup.html rpg.html rpg-fetch.html rpg-version-test.html \
@@ -45,7 +45,7 @@ PROGRAMPROGRAMS = \
rpg-env rpg-sync rpg-resolve rpg-upgrade rpg-steal rpg-fsck rpg-status \
rpg-outdated rpg-parse-package-list rpg-package-register rpg-package-install \
rpg-solve rpg-unpack rpg-package-spec rpg-parse-index rpg-shit-list \
- rpg-prepare rpg-complete rpg-help rpg-package-list rpg-list
+ rpg-prepare rpg-complete rpg-help rpg-package-index rpg-list
USERPROGRAMS = rpg rpg-sh-setup
View
2 rpg-complete.sh
@@ -18,7 +18,7 @@ commands () {
}
installed () {
- rpg-package-list $1\* | cut -d ' ' -f 1
+ rpg-package-index $1\* | cut -d ' ' -f 1
}
available () {
View
6 rpg-list.sh
@@ -76,7 +76,7 @@ fi
[ "$*" ] || set -- '*'
# Build glob BREs for filtering the remote package list. The local package
-# list is filtered by `rpg-package-list` so we don't need to worry about that
+# list is filtered by `rpg-package-index` so we don't need to worry about that
# side.
#
# If there's only one glob and it's `*`, don't do any `grep` nonsense,
@@ -98,7 +98,7 @@ fi
# -------------
# Kick off a pipeline by listing installed packages. The output from
-# `rpg-package-list` looks something like this:
+# `rpg-package-index` looks something like this:
#
#
# RedCloth 4.2.3
@@ -116,7 +116,7 @@ fi
#
# So we have the `<package> <version>` pairs separated by whitespace,
# basically.
-rpg-package-list -x "$@" |
+rpg-package-index -x "$@" |
# Okay ...
#
View
2 rpg-package-list.sh → rpg-package-index.sh
@@ -1,5 +1,5 @@
#!/bin/sh
-# The `rpg-package-list` program walks over the installed package database
+# The `rpg-package-index` program walks over the installed package database
# and writes a line with the `<package> <version>` to standard output for
# each installed package.
set -e
View
4 rpg-upgrade.sh
@@ -18,9 +18,9 @@ then rpg-sync
else rpg-sync -s
fi
-# Let `rpg-package-list` do the heavy lifting. We get back a list of
+# Let `rpg-package-index` do the heavy lifting. We get back a list of
# matching gems and their current versions.
-rpg-package-list -x "$@" |
+rpg-package-index -x "$@" |
while read package vers
do
if test "$vers" = "X"

0 comments on commit 471010e

Please sign in to comment.